import 'basico_model.dart';

class ProductoTopping extends Basico {
  int? idProducto;
  int? idTopping;

  ProductoTopping({
    super.id,
    this.idProducto,
    this.idTopping,
  });

  @override
  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'idProducto': idProducto,
      'idTopping': idTopping,
    }..addAll(super.toJson());
  }

  ProductoTopping.fromJson(Map<String, dynamic> json) {
    super.parseJson(json);
    idProducto = Basico.parseInt(json['idProducto']);
    idTopping = Basico.parseInt(json['idTopping']);
  }
}
